Bug 181794 - AWT hang on adding dependency to Maven project
AWT hang on adding dependency to Maven project
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Maven
6.x
PC Linux
: P3 with 1 vote (vote)
: 7.2
Assigned To: Milos Kleint
issues@projects
: PERFORMANCE, THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-10 11:13 UTC by mikael
Modified: 2012-03-24 11:04 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
thread dump (19.51 KB, text/plain)
2010-03-10 11:13 UTC, mikael
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mikael 2010-03-10 11:13:06 UTC
Created attachment 95008 [details]
thread dump

From JConsole
Name: AWT-EventQueue-1
State: BLOCKED on org.netbeans.modules.maven.model.pom.impl.POMModelImpl@6b4df01f owned by: Default RequestProcessor
Total blocked: 70,175  Total waited: 71,216

Stack trace: 
org.netbeans.modules.xml.xam.AbstractModel.sync(AbstractModel.java:252)
org.netbeans.modules.maven.model.Utilities.performPOMModelOperations(Utilities.java:326)
org.netbeans.modules.maven.api.ModelUtils.addDependency(ModelUtils.java:105)
org.netbeans.modules.maven.nodes.DependenciesNode$AddDependencyAction.actionPerformed(DependenciesNode.java:368)
javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1995)
javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2318)
javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)
javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)
javax.swing.AbstractButton.doClick(AbstractButton.java:357)
javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:1223)
javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:1264)
java.awt.Component.processMouseEvent(Component.java:6263)
javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
java.awt.Component.processEvent(Component.java:6028)
java.awt.Container.processEvent(Container.java:2041)
java.awt.Component.dispatchEventImpl(Component.java:4630)
java.awt.Container.dispatchEventImpl(Container.java:2099)
java.awt.Component.dispatchEvent(Component.java:4460)
java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4574)
java.awt.LightweightDispatcher.processMouseEvent(Container.java:4238)
java.awt.LightweightDispatcher.dispatchEvent(Container.java:4168)
java.awt.Container.dispatchEventImpl(Container.java:2085)
java.awt.Window.dispatchEventImpl(Window.java:2478)
java.awt.Component.dispatchEvent(Component.java:4460)
java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:130)
java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
java.awt.EventDispatchThread.run(EventDispatchThread.java:122)
Comment 1 Antonin Nebuzelsky 2010-07-30 15:18:30 UTC
Reassigning to default owner.
Comment 2 Jesse Glick 2010-09-17 20:33:57 UTC
Probably AddDependencyAction.actionPerformed should run asynch.
Comment 3 Milos Kleint 2012-03-21 12:26:41 UTC
http://hg.netbeans.org/core-main/rev/24accb75c408
Comment 4 Quality Engineering 2012-03-24 11:04:34 UTC
Integrated into 'main-golden', will be available in build *201203240400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/24accb75c408
User: Milos Kleint <mkleint@netbeans.org>
Log: #181794 save the pom file async out of AWT


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo